[android-components](../../index.md) / [mozilla.components.service.glean.private](../index.md) / [MemoryDistributionMetricType](index.md) / [accumulate](./accumulate.md)

# accumulate

`fun accumulate(sample: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/private/MemoryDistributionMetricType.kt#L38)

Record a single value, in the unit specified by `memoryUnit`, to the distribution.

### Parameters

`sample` - the value